/*
 Theme Name:     June Child Theme
 Theme URI:      https://www.codeless.co/june
 Description:    June Child Theme
 Author:         Codeless
 Author URI:     https://www.codeless.co
 Template:       june

 Version:        1.0.19
 Template Version: 1.0.19
 Tags: one-column, two-columns, three-columns, four-columns, left-sidebar, right-sidebar, flexible-header, custom-colors, full-width-template
*/
 
/* =Theme customization starts here
------------------------------------------------------- */

@font-face {
    font-family: 'bebas_neue_rounded_regular';
    src: url('./assets/fonts/bebasneuerounded/bebasneuerounded-regular-webfont.woff2') format('woff2'),
         url('./assets/fonts/bebasneuerounded/bebasneuerounded-regular-webfont.woff') format('woff');
    font-weight: normal;
    font-style: normal;

}

html {
  scroll-behavior: smooth;
}

.color-light-gray {
  color: #999;
}

.header-top {
  .cl-icon-cart-outline::before {
    content: "\f279";
  }

  .cart-total {
    display: none;
  }
}

.swiper-button-disabled {
  display: none;
}

.swiper-container {
  .swiper-wrapper {
    .col-content {
      h2.cl-custom-heading {
        font-family: 'bebas_neue_rounded_regular' !important;
        letter-spacing: normal !important;
        line-height: normal !important;
        font-weight: normal !important;
      }
    }
  }
  .swiper-pagination  {
      display: none !important;
  }
}

.owl-carousel {
	.owl-item  {
		.client-item {
			display: flex;
			justify-content: center;
			
			a {
				img {
					max-height: 100px;
          max-width: 180px;
					width: auto !important;
					margin: 0 auto;
				}
			}
		}
	}
}

.cta {
	.col-content {
		position: relative;
		padding-top: 70px;
		
		.wrapper-heading {
			text-align: center;
		}
		
		.cl_service {
			.icon_wrapper {
				position: absolute;
				top: 0;
				left: 50%;
				transform: translateX(-50%);
			}
		}
	}
}

.how-it-works {
  .cl_column_inner {
    .wrapper {
      border-radius: 15px;
      overflow: hidden;

      .col-content {
        .cl_icon {
          height: 160px;
          display: flex;
          align-items: center;
          justify-content: center;
          position: relative;
          overflow: hidden;
          background: #926C2D;

          a {
            i {
              position: absolute;
              top: 50%;
              left: 50%;
              font-size: 350px !important;
              transform: translate(-50%, -50%);
              opacity: 0.3;
              transition: 300ms;
              pointer-events: none;
            }
          }
        }

        .wrapper-heading {
          margin-top: -55px !important;
          position: relative;
          z-index: 1;

          .cl-custom-heading {
            display: inline-block;
            width: 110px;
            height: 110px;
            line-height: 110px;
            background: #926C2D;
            border-radius: 50%;
            outline: 10px solid #202020;
            transition: 0.3s;
            box-shadow: -10px 10px 10px rgba(0, 0, 0, 0.15);
            font-family: 'bebas_neue_rounded_regular' !important;
          }
        }

        .cl-btn-div {
          margin: 20px !important;

          .cl-btn {
            width: 230px;
            max-width: 80%;
            transition: 300ms;

            &:hover {
              background: #dea45a !important;
              color: white !important;
            }
          }
        }
      }
    }

    &:hover {
      .wrapper {
        .col-content {
          .cl_icon {
            a {
              i {
                transform: translate(-50%, -50%) rotate(5deg);
              }
            }
          }

          .wrapper-heading {
            .cl-custom-heading {
              transform: scale(1.1);
            }
          }
        }
      }
    }

    &:nth-child(2) {
      .wrapper {
        .col-content {
          .wrapper-heading {
            .cl-custom-heading {
              color: white !important;
              outline-color: #C8CACA;
            }
          }

          .cl_service {
            .box-content {
              .content {
                p {
                  color: #1a1a1a;
                }
              }
            }
          }
        }
      }
    }
  }
}

.strategic-partnerships {
  .icon_wrapper {
    .wrapper-form {
      height: auto !important;
    }
  }
}

.cl_gallery {
  .gallery-item {
    .inner-wrapper {
      width: 100%;
      img {
        max-width: 180px;
        max-height: 100px;
        width: auto;
        margin: 0 auto;
      }
    }
  }
}

#product_range {
  .col-content {
    .cl-btn-div {
      .cl-btn {
        width: 100%;
      }
    }
  }
}

.cl_woocommerce {
  .woocommerce {
    .grid-entries {
      .product_item {
        .inner-wrapper {
          .h5 {
            text-align: center;

            a {
              display: block;
              overflow: hidden;
              text-overflow: ellipsis;
              white-space: nowrap;
            }
          }

          .cl-price-rating {
            .price {
              justify-content: center !important;
            }
          }
        }
      }
    }
  }
}

#contact_form {
  .cl_col_wrapper {
    border: none !important;

    .bg-layer {
      background: none !important;
    }

    .col-content {
      h2,
      label {
        color: white !important;
      }

      .wpcf7-not-valid-tip {
        font-size: 10px;
        font-style: italic;
      }

      .wpcf7-spinner {
        margin: 10px auto 0;
        display: block;
      }

      .wpcf7-response-output {
        border-color: #dc3232;
      }
    }
  }
}

#embed_map {
  .container-content {
    padding: 0;

    .cl_col_wrapper {
      padding: 0 !important;

      .col-content {
        .map-holder {
          position: relative;
          height: 0;
          overflow: hidden;
          padding-bottom: 35%;

          iframe {
            position: absolute;
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
          }
        }
      }
    }
  }
}


#footer-wrapper {
  #top_footer {
	  display: none;

    .social-links {
      .title {
        margin: 0 0 5px;
        font-weight: 500;
        color: white;
      }

      ul {
        display: flex;
        gap: 10px;

        .icon {
          font-size: 20px;
        }
      }
    }
  }

  .site-footer {
	  font-size: 16px;
	  
    #media_image-4 {
      max-width: 92%;
    }

    #custom_html-2 {
      max-width: 100%;
    }

    b, i {
      color: #666;
    }

  .footer-content-row {
    .footer-widget {
      .details {
        .image {
          margin-bottom: 15px;
          max-width: 100px;
        }
      }

      .social-links {
        display: flex;
        gap: 10px;

        .icon {
          display: block;
          width: 36px;
          height: 36px;
          text-align: center;
          line-height: 36px !important;
          background: #111;
          border-radius: 50%;
          font-size: 20px;
        }

        a.icon {
          i {
            color: white;
            transition: 0.3s;
          }

          &:hover i {
            color: gray;
          }
        }
      }
    }
  }

  }

}

#copyright {
  .copyright-content-row {
    display: block;
    text-align: center;

    .copyright-widget {
      width: 100%;
      margin: 0;
      padding: 0 40px;
      font-size: 12px;
      line-height: normal;

      &:nth-child(2) {
        display: none;
      }
    }
  }
}

.breadcrumbss {
  .page_parents {
    li:not(.active) {
      a {
        color: white;
      }
    }
  }
}

.gform_wrapper {
  .gform_heading {
    border-bottom: 1px solid;
    margin-bottom: 30px;

    .gform_title {
      font-size: 24px;
    }
  }
  .gform-body {

    .gfield {
      position: relative;

      .ginput_container {
        input:focus {
          box-shadow: none !important;
        }
      }

      .gfield_validation_message {
        position: absolute;
        left: 10px;
        bottom: -15px;
        margin: 0;
        font-size: 10px;
        font-style: italic;
      }
      
    }

  }
  .gform_footer {
    .gform_button {
      padding: 0 24px !important;
      line-height: normal !important;
      height: 50.5px !important;
      min-height: inherit !important;
      font-family: Montserrat !important;
      border: none !important;
      background-color: #dea45a !important;
      text-transform: uppercase !important;
      border-radius: 3px !important;
      font-weight: 600 !important;
      letter-spacing: 0.4px !important;

      &:hover {
        background-color: #D29B55 !important;
      }

      &:focus {
        box-shadow: none !important;
      }
    }
  }
}

.gform-theme--framework input[type="radio"]:where(:not(.gform-theme__disable):not(.gform-theme__disable *):not(.gform-theme__disable-framework):not(.gform-theme__disable-framework *))::before {
  background-color: #dea45a !important;
  
}

.gform-theme--framework input[type="checkbox"]:where(:not(.gform-theme__disable):not(.gform-theme__disable *):not(.gform-theme__disable-framework):not(.gform-theme__disable-framework *))::before {
  color: #dea45a !important;
}


@media (min-width: 768px) {
  .five-boxes {
    .container-content {
      .row {

        .cl_column {
          position: relative;
          padding: 0;
          height: 470px;
          overflow: hidden;
          -webkit-box-flex: 1;
          -webkit-flex: 1;
          -ms-flex: 1;
          flex: 1;
          -webkit-transition: -webkit-box-flex 500ms ease-out;
          -webkit-transition: -webkit-flex 500ms ease-out;
          transition: -webkit-box-flex 500ms ease-out;
          transition: flex 400ms ease-out;

          &:hover {
            -webkit-box-flex: 3;
            -webkit-flex: 3;
            -ms-flex: 3;
            flex: 3;

            .col-content {
              .wrapper-heading {
                padding-bottom: 140px;
                transform: translateY(0);
              }
              .cl-btn-div {
                .cl-btn {
                  opacity: 1;
                  transform: translateY(0);
                }
              }
              .cl-text {
                opacity: 1;
                transform: translate(-50%,-70px);
              }
            }
          }

          &:nth-child(1) {
            &:hover {
              .col-content {
                .wrapper-heading {
                  padding-bottom: 80px;
                }
              }
            }
          }

          &:nth-child(2) {
            &:hover {
              .col-content {
                .wrapper-heading {
                  padding-bottom: 100px;
                }
              }
            }
          }

          &:nth-child(5) {
            &:hover {
              .col-content {
                .wrapper-heading {
                  padding-bottom: 120px;
                }
              }
            }
          }
        }

        .overlay {
          background: linear-gradient(
            to bottom,
            rgba(0, 0, 0, 0) 0%,
            rgb(0, 0, 0) 75%,
            rgb(0, 0, 0) 100%
          );
        }

        .bg-layer {
          background-position: center top !important;
          width: 1000px;
          left: 50%;
          transform: translateX(-50%);
        }

        .col-content {
          .wrapper-heading {
            padding-bottom: 0;
            transform: translateY(30px);
            transition: 400ms;
          }

          .cl-btn-div {
            margin: 0 !important;

            .cl-btn {
              background: transparent !important;
              border: 1px solid #d6a973 !important;
              opacity: 0;
              transform: translateY(50px);

              &:hover {
                background: #d6a973 !important;
                color: white !important;
              }
            }
          }

          .cl-text {
            position: absolute;
            bottom: 0;
            width: 400px;
            left: 50%;
            transform: translate(-50%, 0);
            opacity: 0;
            transition: 400ms;
            line-height: 20px;
          }
        }

        .column_link {
          display: none;
        }
      }  /* tutup .row */
    }    /* tutup .container-content */
  }

  #footer-wrapper {
  .site-footer {
  .footer-content-row {
  .footer-widget {
    &:nth-child(1) {
      width: 37%;
    }
    &:nth-child(2) {
      width: 15%;
    }
    &:nth-child(3) {
      width: 38%;
    }
    &:nth-child(4) {
      width: 10%;
    }

  .widget {
  max-width: 100%;
  }	

    .social-links {
      justify-content: center;
    }
  }
  }
  }
  }

 
  #gform_1 {
    .gform_fields {
      display: block;
      margin: 0 -10px;

      &::after {
        content: "";
        display: block;
        clear: both;
      }

      .gfield {
        float: left;
        width: 50%;
        padding: 0 10px;
        margin: 0 0 20px;
      }

      #field_1_1,
      .gfield--type-checkbox {
        width: 100%;
      }

      #field_1_10,
      #field_1_12,
      #field_1_14,
      #field_1_16,
      #field_1_18,
      #field_1_20,
      #field_1_22,
      #field_1_24,
      #field_1_26,
      #field_1_28 {
        width: 41%;
      }

      #field_1_11,
      #field_1_15,
      #field_1_19,
      #field_1_23,
      #field_1_27 {
        width: 18%;
      }
    }
  }


}        


@media (min-width: 768px) and (max-width:990px) {
  .five-boxes {
    .container-content {
      .row {
        .col-content {
          .wrapper-heading {
            h2 {
              font-size: 16px !important;
            }
          }
        }
      }
    }
  }
}

@media (max-width: 767px) {

  .header-top {
    .header-row-inner {
      .header-col {

        &:nth-child(1) {
          display: none;
        } 

        .cl-h-cl_header_logo {
          .logo_image {
            img {
              left: 20px;
              height: 100px !important;
            }
          }
        }
        .cl-h-cl_header_tools {
          .shop {
            display: none;
          }
        }
      }
    }

     .cl-mobile-menu nav li.hasSubMenu > a::after {
      font-size: 24px;
      transform: rotate(90deg);
     }
  }

  .swiper-container {
    .swiper-wrapper {
      .col-content {
        h2.cl-custom-heading {
          font-size: 50px !important;
        }
        h4.cl-custom-heading {
          line-height: normal !important;
          margin-top: 20px !important;
          margin-bottom: 20px !important;
          font-size: 28px !important;
        }
      }
    }
  }

  .five-boxes {
    margin-top: 16px !important;
    .container-content {
      .row {
        .cl_column {
          height: 400px;
          margin-bottom: 16px;

          .overlay {
            background: linear-gradient(to bottom, rgba(0, 0, 0, 0) 0%, rgb(0, 0, 0) 75%, rgb(0, 0, 0) 100%);
          }

          .col-content {
            .cl-text {
              margin: 0 !important;
              line-height: 20px;
            }
            .cl-btn-div {
              a {
                background-color: transparent !important;
                border: 1px solid #d6a973 !important;

                &:hover {
                  background-color: #d6a973 !important;
                  color: white !important;
                }
              }
            }
          }

          .column_link {
            display: none;
          }

        }
      }
    }
  }

  .how-it-works {
    .row  {
      .cl_column_inner {
        &:nth-child(2) {
          margin-top: 10px;
          margin-bottom: 10px;
        }
      }
    }
  }

  #capabilities {
    .cl-row_inner {
      margin-top: 0 !important;

      .cl_service * {
        text-align: center !important;
      }
      .cl_service {
        .icon_wrapper {
          display: flex;
          justify-content: center;

          i {
            line-height: normal;
          }
        }
      }
      .cl-btn-div {
        margin-top: 14px !important;

        a.cl-btn {
          width: 300px;
          max-width: 100%;
        }
      }
    }
  }

  #industries {
    .cl-row_inner {
      margin: 0 !important;

      .row {
        .cl_column_inner {
          margin: 10px 0 0;

          &.hover_light {
            display: none;
          }
        }
      }
    }
  }

  #howitworks {
    padding-bottom: 1px !important;
  }

  #ourgiveback * {
    text-align: center;
  }

  #product_range {
    .wrapper {
      padding: 15px 0 0 !important;
    }
  }

  .gform_wrapper {
  .gform_heading {
    border-bottom: 1px solid;
    margin-bottom: 30px;

    .gform_title {
      font-size: 24px;
    }
  }
  .gform-body {
    .gform_fields {
      display: block;

      .gfield {
        margin-bottom: 16px;

        .gfield_validation_message {
          left:auto;
          right: 0;
        } 
      }
    }
    
  }

  }

  #embed_map {
  .container-content {
    .cl_col_wrapper {
      .col-content {
        .map-holder {
          padding-bottom: 100%;
        }
      }
    }
  }
}


  #footer-wrapper {
    .site-footer {
      .footer-content-row {
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;

        .footer-widget {
          .widget {
            max-width: 100%;
            text-align: center;

            img {
              max-width: 200px;
              margin: 0 auto;
              display: block;
            }

            .textwidget {
              p {
                text-align: center;

                br {
                  display: none;
                }
              }
            }

            &#block-11 {
              img {
                max-width: 100%;
              }

              .social-links {
                justify-content: center;
              }
              
            }

          }
        }
        
      }
    }
  }
}
